/* 変数管理システム */
#include "var.h"

int VarLRead(unchar *vname,long *num,unsint *type,long *point,VARSYS2 *gvar,VARSYS2 *lvar)
/* 変数読みだし（ローカル変数対応）*/
/* グローバル／ローカル両方にある時は、ローカルが優先する */
{
short p,sel;
	/* ローカル->グローバルの順でサーチ */
	p=VarLSearch(vname,gvar,lvar,&sel,type);
	if (p==0) return(VARNDEF); /* 変数は未定義（グローバル／ローカルとも）*/
	*point=p;
	if (p<0) return(VARNKAKU); /* 数値内容が未確定 */
	/* 読みだし */
	return(VarNumRead(p,num,type,sel? lvar:gvar));
}
